## rope 1.0

=== DESCRIPTION ===
Package: rope
Title: Model Selection with FDR Control of Selected Variables
Version: 1.0
Author: Jonatan Kallus [aut, cre]
Maintainer: Jonatan Kallus <kallus@chalmers.se>
Authors@R: person("Jonatan", "Kallus", email = "kallus@chalmers.se",
                  role = c("aut", "cre"))
Description: Selects one model with variable selection FDR controlled at a
    specified level. A q-value for each potential variable is also returned. The
    input, variable selection counts over many bootstraps for several levels of
    penalization, is modeled as coming from a beta-binomial mixture
    distribution.
Depends: R (>= 3.1.0)
Suggests: Matrix, parallel, knitr, rmarkdown
License: GPL-3
LazyData: true
VignetteBuilder: knitr
RoxygenNote: 6.0.0
NeedsCompilation: no
Packaged: 2017-02-15 20:43:22 UTC; jonatan
Repository: CRAN
Date/Publication: 2017-02-16 07:55:41

## rope 0.10.2

=== debian/changelog ===
rope (0.10.2-1) unstable; urgency=low

  [ Arnaud Fontaine ]
  * New maintainer. Closes: #738928.
  * New upstream release.
    + d/docs:
      - README.txt was renamed to README.rst.
      - Add most of docs/*.rst. Closes: #541542.
    + d/rules: Add docs/done.rst as upstream changelog.
  * d/control:
    + Bump Standards-Version to 3.9.5.
      - d/copyright: Switched to machine-readable format.
  * d/source/format: Switched to 3.0 (quilt).
  
  [ David Spreen ]
  * New upstream release. Closes: #577015, #539080.
  * d/watch:
    + Updated download location to pypi.python.org

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Jackson Doak ]
  * New upstream release. Closes: #673754.

 -- Arnaud Fontaine <arnau@debian.org>  Thu, 17 Jul 2014 12:09:02 +0900

rope (0.9.2-2) unstable; urgency=low

  * Team upload.
  * Convert to dh_python2 (Closes: #617053).

 -- Andrea Colangelo <warp10@ubuntu.com>  Sun, 09 Jun 2013 22:55:00 +0200

rope (0.9.2-1) unstable; urgency=low

  [David Spreen]
  * New upstream version (Closes: #516205).
  * debian/control
    - depend on ${misc:Depends}
    - build-depend on debhelper >= 7 to match debian/compat
  
  [Sandro Tosi]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- David Spreen <netzwurm@debian.org>  Fri, 20 Feb 2009 09:39:11 -0800

rope (0.8.4-3) unstable; urgency=low

  [ David Spreen ]
  * debian/control: Recommend git-core instead of git (Closes: #494570).

 -- David Spreen <netzwurm@debian.org>  Wed, 13 Aug 2008 14:24:01 -0700

rope (0.8.4-2) unstable; urgency=low

  [ David Spreen ]
  * debian/control: Changed section to devel after discussion on debian-python@lists.

 -- David Spreen <netzwurm@debian.org>  Fri, 01 Aug 2008 11:53:08 -0700

rope (0.8.4-1) unstable; urgency=low

  [ David Spreen ]
  * Initial release (Closes: #467377).

 -- David Spreen <netzwurm@debian.org>  Fri, 01 Aug 2008 10:44:47 -0700

=== debian/control ===
Source: rope
Section: devel
Priority: optional
Maintainer: Arnaud Fontaine <arnau@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: cdbs (>= 0.4.90~),
               debhelper (>= 7.0.0),
               python (>= 2.6.6-3~)
X-Python-Version: >= 2.5
Standards-Version: 3.9.5
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/rope/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/rope/trunk/
Homepage: http://rope.sourceforge.net/

Package: python-rope
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends}
Recommends: python-svn,
            mercurial,
            git-core
Description: Python refactoring library
 Rope is a Python refactoring library that can be used with several editors
 and IDEs. It provides many refactoring operations as well as forms of code 
 assistance like auto-completion and access to documentation. To make use of 
 refactoring in Mercurial, Git and Svn repositories, the recommended packages 
 must be installed. For a complete list of features, see the project homepage.
 . 
 In Debian, this package is used by the Python-ropemacs package, an Emacs mode 
 that adds Python refactoring and IDE features to the Emacs editor.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_INSTALL_CHANGELOGS_ALL := docs/done.rst

## rope 0.10.3

=== debian/changelog ===
rope (0.10.3-1) unstable; urgency=high

  [ Arnaud Fontaine ]
  * New upstream release.
  * d/source/options: Ignore .egg-info directory.
  * d/patches/CVE-2014-3539.patch: Mitigations for this CVE. Closes: #777525.
  * d/control:
    + Bump Standards-Version to 3.9.8. No change needed.
    + Bump debhelper compat version to 10 as 7 is deprecated.
    + Add dh-python to Build-Depends (dh_python2 warning).

  [ Ondřej Nový ]
  * d/control: Fixed VCS URL (https).

 -- Arnaud Fontaine <arnau@debian.org>  Thu, 26 Jan 2017 14:04:41 +0900

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Arnaud Fontaine <arnau@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: cdbs (>= 0.4.90~),
-               debhelper (>= 7.0.0),
+               debhelper (>= 10),
+               dh-python,
                python (>= 2.6.6-3~)
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.5
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/rope/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/rope/trunk/
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/rope.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/rope.git
 Homepage: http://rope.sourceforge.net/
 
 Package: python-rope

## rope 0.10.5

=== debian/changelog ===
rope (0.10.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Arnaud Fontaine <arnau@debian.org>  Thu, 20 Jul 2017 09:41:00 +0900

rope (0.10.5-1) experimental; urgency=medium

  * d/copyright:
    + Update Homepage.
    + Copyright information were missing.
    + Update Debian packaging copyright years.

  [ Diane Trout ]
  * New upstream version 0.10.5.
  * Build a python3 version using pybuild. Closes: #755911.
    + Add Python 3 & setuptools to Build-Depends.
    + Remove cdbs.
    + Add basic autodep8 test.

 -- Arnaud Fontaine <arnau@debian.org>  Thu, 13 Apr 2017 17:46:32 +0900

=== debian/control ===
Source: rope
Section: devel
Priority: optional
Maintainer: Arnaud Fontaine <arnau@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python3-all,
               python3-setuptools
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Standards-Version: 3.9.8
Testsuite: autopkgtest-pkg-python
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/rope.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/rope.git
Homepage: http://rope.sourceforge.net/

Package: python-rope
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends}
Recommends: python-svn,
            mercurial,
            git-core
Description: Python 2 refactoring library
 Rope is a Python refactoring library that can be used with several editors
 and IDEs. It provides many refactoring operations as well as forms of code 
 assistance like auto-completion and access to documentation. To make use of 
 refactoring in Mercurial, Git and Svn repositories, the recommended packages 
 must be installed. For a complete list of features, see the project homepage.
 . 
 In Debian, this package is used by the Python-ropemacs package, an Emacs mode 
 that adds Python refactoring and IDE features to the Emacs editor.
 .
 This provides the Python 2 version of the library.

Package: python3-rope
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends}
Recommends: python-svn,
            mercurial,
            git-core
Description: Python 3 refactoring library
 Rope is a Python refactoring library that can be used with several editors
 and IDEs. It provides many refactoring operations as well as forms of code
 assistance like auto-completion and access to documentation. To make use of
 refactoring in Mercurial, Git and Svn repositories, the recommended packages
 must be installed. For a complete list of features, see the project homepage.
 .
 This provides the Python3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=rope
export LC_ALL=C.UTF-8

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import rope; print rope" ; done
Depends: python-all, python-rope

Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import rope; print(rope)" ; done
Depends: python3-all, python3-rope

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/r/rope/rope-(.*)\.tar\.gz

## rope 0.17.0

=== debian/changelog ===
rope (0.17.0-1) unstable; urgency=medium

  * Team upload.
    + Replace old uploader with myself since package has been orphaned
      but still keep the package orphaned.
  * New upstream release 0.17.0.

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 0.8.4-2.
  * Use secure URI in debian/watch.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Boyuan Yang ]
  * Bump debhelper compat to v13.
  * debian/control: Use new homepage on GitHub.
  * debian/control: Use "Rules-Requires-Root: no".
  * debian/copyright: Update copyright information since the library
    is now relicensed under LGPL-3+.
  * debian/patches: Drop CVE-2014-3539.patch. Upstream version of
    fix present since 0.11.0.

 -- Boyuan Yang <byang@debian.org>  Tue, 21 Jul 2020 11:53:39 -0400

rope (0.10.5-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938363

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jan 2020 13:37:44 -0500

rope (0.10.5-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove trailing whitespaces
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Andreas Tille ]
  * Maintainer should be the list, Uploader the person who cares
  * Fix incorrect Dependencies/Recommends
    Closes: #905993

 -- Andreas Tille <tille@debian.org>  Sun, 09 Sep 2018 12:58:06 +0200

=== debian/control ===
Source: rope
Section: devel
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.5.0
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/modules/rope.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/rope
Homepage: https://github.com/python-rope/rope

Package: python3-rope
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 git-core,
 mercurial,
 python3-svn,
Description: Python 3 refactoring library
 Rope is a Python refactoring library that can be used with several editors
 and IDEs. It provides many refactoring operations as well as forms of code
 assistance like auto-completion and access to documentation. To make use of
 refactoring in Mercurial, Git and Svn repositories, the recommended packages
 must be installed. For a complete list of features, see the project homepage.
 .
 This provides the Python3 version of the library.

## rope 0.18.0

=== debian/changelog ===
rope (0.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 0.18.0.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Boyuan Yang <byang@debian.org>  Sat, 09 Jan 2021 13:07:34 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: rope
 Section: devel
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -9,11 +9,11 @@
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/python-team/modules/rope.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/rope
+Vcs-Git: https://salsa.debian.org/python-team/packages/rope.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/rope
 Homepage: https://github.com/python-rope/rope
 
 Package: python3-rope

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=rope
export LC_ALL=C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/r/rope/rope-(.*)\.tar\.gz

## rope 0.22.0

=== debian/changelog ===
rope (0.22.0-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Nov 2021 18:36:54 -0500

rope (0.21.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 13 Nov 2021 10:51:10 -0500

rope (0.21.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Oct 2021 11:52:59 -0400

rope (0.20.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 21 Sep 2021 09:44:38 -0400

rope (0.19.0-2) unstable; urgency=medium

  * Add Pablo Mestre Drake as package uploader.
  * No longer mark the package as orphaned.
  * Bump Standards-Version to 4.6.0.

  [ Pablo Mestre Drake ]
  * Add salsa-ci.yml copied from Debian pipeline for Developers.
  * debian/watch: Update parameters to check for newer versions.

 -- Boyuan Yang <byang@debian.org>  Fri, 27 Aug 2021 15:14:26 -0400

rope (0.19.0-1) unstable; urgency=medium

  * New upstream release 0.19.0.

 -- Boyuan Yang <byang@debian.org>  Tue, 17 Aug 2021 21:39:13 -0400

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
+ Pablo Mestre Drake <pmdcuba@gmail.com>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/rope.git

## rope 1.3.0

=== debian/changelog ===
rope (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Aug 2022 14:17:26 -0400

rope (1.2.0-2) unstable; urgency=high

  * debian/control: Add missing dependency python3-pkg-resources.
    (Closes: #1016498)

 -- Boyuan Yang <byang@debian.org>  Wed, 03 Aug 2022 17:20:07 -0400

rope (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add new build-dep pytoolconfig, setuptools-scm.
    + Bump Standards-Version to 4.6.1.
  * debian/rules: Enable tests but do not fail for now.
  * debian/patches: Add patch to use pdm-pep517 as build system
    since setuptools.meta is not working well.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jul 2022 13:29:18 -0400

rope (1.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 29 May 2022 12:39:52 -0400

rope (1.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 11 Apr 2022 14:29:54 -0400

rope (0.23.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Mar 2022 22:42:56 -0500

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,14 @@
  Pablo Mestre Drake <pmdcuba@gmail.com>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
- python3-all,
- python3-setuptools,
-Standards-Version: 4.6.0
+ dh-sequence-python3,
+ python3,
+ pybuild-plugin-pyproject,
+ python3-pdm-pep517,
+ python3-pytoolconfig (>= 1.1.2),
+ python3-pytest <!nocheck>,
+ python3-pytest-timeout <!nocheck>,
+Standards-Version: 4.6.1
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/rope.git
@@ -22,6 +26,7 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ python3-pkg-resources,
 Recommends:
  git-core,
  mercurial,

## rope 1.7.0

=== debian/changelog ===
rope (1.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 20 Jan 2023 10:38:48 -0500

rope (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 21 Dec 2022 16:48:47 -0500

rope (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Add new build-dep python3-appdirs.

 -- Boyuan Yang <byang@debian.org>  Sat, 26 Nov 2022 15:08:48 -0500

rope (1.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 26 Oct 2022 16:11:14 -0400

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
  python3,
  pybuild-plugin-pyproject,
  python3-pdm-pep517,
- python3-pytoolconfig (>= 1.1.2),
+ python3-pytoolconfig (>= 1.2.2),
  python3-pytest <!nocheck>,
  python3-pytest-timeout <!nocheck>,
-Standards-Version: 4.6.1
+ python3-appdirs <!nocheck>,
+Standards-Version: 4.6.2
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/rope.git

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/rope/rope-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## rope 1.9.0

=== debian/changelog ===
rope (1.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 04 Jul 2023 00:07:45 -0400

rope (1.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Jun 2023 10:29:04 -0400

## rope 1.12.0

=== debian/changelog ===
rope (1.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 20 Jan 2024 21:51:47 -0500

rope (1.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 14 Nov 2023 13:36:12 -0500

rope (1.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 30 Sep 2023 20:14:23 -0400

## rope 1.13.0

=== debian/changelog ===
rope (1.13.0-4) unstable; urgency=medium

  * Team upload.
  * Drop dependency on python3-pkg-resources (Closes: #1083745)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 29 Jan 2025 23:05:51 +0100

rope (1.13.0-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Drop myself from the uploaders list.

 -- Boyuan Yang <byang@debian.org>  Mon, 20 Jan 2025 18:44:16 -0500

rope (1.13.0-2) unstable; urgency=medium

  * debian/control: Drop unnecessary build-dependency to
    python3-appdirs. (Closes: #1068009)
  * debian/patches/: Dropped, now we build with python3-setuptools.
  * debian/control: No longer build-depends on python3-pdm-pep517.
  * debian/control: Add new build-test-dependency python3-venv, python3-pip.

 -- Boyuan Yang <byang@debian.org>  Mon, 15 Jul 2024 20:42:58 -0400

rope (1.13.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 24 Mar 2024 22:56:37 -0400

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,20 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Boyuan Yang <byang@debian.org>,
  Pablo Mestre Drake <pmdcuba@gmail.com>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  python3,
+ python3-pip <!nocheck>,
  pybuild-plugin-pyproject,
- python3-pdm-pep517,
  python3-pytoolconfig (>= 1.2.2),
  python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
  python3-pytest-timeout <!nocheck>,
- python3-appdirs <!nocheck>,
-Standards-Version: 4.6.2
+ python3-setuptools,
+ python3-venv <!nocheck>,
+Standards-Version: 4.7.0
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/rope.git
@@ -27,7 +28,6 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
- python3-pkg-resources,
 Recommends:
  git-core,
  mercurial,

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export PYBUILD_NAME=rope
export LC_ALL=C.UTF-8

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	# pybuild off-place test will not work
	# Known buggy test, see upstream issue 495
	-python3 -m pytest

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import rope; print(rope)" ; done
Depends:
 python3-all,
 python3-rope,

## rope 1.14.0

=== debian/changelog ===
rope (1.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.14.0
  * Do not use pip from system

 -- Aeliton Silva <aeliton@aeliton.com>  Wed, 17 Dec 2025 10:32:02 +0000
